﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Wmts_Sample
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.ZoomTo(new PointShape(-13677832, 5213272), 36046.862182617188);
                Map1.MapUnit = GeographyUnit.Meter;

                OpenStreetMapOverlay osm = new OpenStreetMapOverlay();
                Map1.CustomOverlays.Add(osm);

                WmtsOverlay wmts = new WmtsOverlay(new Uri("http://v2.suite.opengeo.org/geoserver/gwc/service/wmts/"));
                wmts.Name = "Medford Buildings";
                wmts.Layer = "medford:buildings";
                for (int i = 0; i < 26; i++)
                {
                    wmts.MatrixIds.Add("EPSG:900913:" + i.ToString());
                }
                wmts.Format = WebImageFormat.Png;
                wmts.Style = "_null";
                wmts.IsBaseOverlay = false;

                Map1.CustomOverlays.Add(wmts);

                Map1.MapTools.OverlaySwitcher.Enabled = true;
            }
        }
    }
}